Bug 126199 - Error activating XKB configuration and gconftool-2 return empty
Error activating XKB configuration and gconftool-2 return empty
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libgnome (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-17 07:48 EDT by James Wu
Modified: 2007-11-30 17:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 17:31:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Wu 2004-06-17 07:48:18 EDT
Description of problem:

Login in as a non-root user and use GNOME session.
It popups an error dialog.
Here are the output of the error dialog:
==================================================
Error activating XKB configuration.
Probably internal X server problem.

X server version data:
The X.Org Foundation
60700000

If you report this situation as a bug, please include:
- The result of xprop -root | grep XKB
- The result of gconftool-2 -R /desktop/gnome/peripherals/keyboard/xkb
==================================================
Besides, the background is black, bluecurve icons are missing
and no icons in the panel menu.

[james@jameswu james]$ xprop -root | grep XKB
_XKB_RULES_NAMES_BACKUP(STRING) = "xorg", "pc105", "us", "", ""
_XKB_RULES_NAMES(STRING) = "xorg", "pc105", "us", "", ""
[james@jameswu james]$ gconftool-2 -
R /desktop/gnome/peripherals/keyboard/xkb
[james@jameswu james]$

Note:
1. There is no "XkbRules" line in "xorg.conf".
2. I add a symlink in /usr/X11R6/lib/X11/xkb/rules/:
ln -s xorg.lst xfree86.lst
3. Here are the version of packages that I am using:
control-center-2.6.1-3
libxklavier-1.02-1
libxklavier-devel-1.02-1
pyxf86config-0.3.18-2
system-config-display-1.0.14-1



Version-Release number of selected component (if applicable):

control-center-2.6.1-3
libxklavier-1.02-1
libxklavier-devel-1.02-1
pyxf86config-0.3.18-2
system-config-display-1.0.14-1
xorg-x11-libs-6.7.0-2
xorg-x11-100dpi-fonts-6.7.0-2
xorg-x11-xfs-6.7.0-2
xorg-x11-xauth-6.7.0-2
xorg-x11-sdk-6.7.0-2
xorg-x11-6.7.0-2
xorg-x11-libs-data-6.7.0-2
xorg-x11-font-utils-6.7.0-2
xorg-x11-Mesa-libGLU-6.7.0-2
xorg-x11-tools-6.7.0-2
xorg-x11-75dpi-fonts-6.7.0-2
xorg-x11-devel-6.7.0-2
xorg-x11-Mesa-libGL-6.7.0-2
xorg-x11-base-fonts-6.7.0-2
xorg-x11-twm-6.7.0-2
xorg-x11-xdm-6.7.0-2
xorg-x11-doc-6.7.0-2



How reproducible:
Every time



Steps to Reproduce:
1. Login in as a non-root user and use GNOME session
2. It popups an error dialog.


  
Actual results:


Expected results:


Additional info:
Comment 1 Roland Roberts 2004-06-24 16:33:42 EDT
Same error, slightly different output from gconftool-2:

256 rroberts> xprop -root | grep XKB
_XKB_RULES_NAMES_BACKUP(STRING) = "xfree86", "pc105", "us", "",
"ctrl:swapcaps"
_XKB_RULES_NAMES(STRING) = "xfree86", "pc105", "us", "", "ctrl:swapcaps"
257 rroberts> gconftool-2 -R /desktop/gnome/peripherals/keyboard/xkb
 layouts = [us]
 model = pc105
 overrideSettings = false
 options = []

This is on a freshly installed FC2 machine, first login after upgrade.
 The session is a GNOME sessions, but the WM is fvwm2.  The control
panel has lost all of its icons and is misplaced (used to be at the
bottom, now at the top).
Comment 2 Greg Morgan 2004-06-29 21:07:05 EDT
I have a different spin on this bug.  On the console of a cleanly
installed FC2 machine I do not have any of the reported errors.  A
fellow programmer setting up the server gave me an account.  I am on a
MS Windows 2000 PC running X via Cygwin.  I use this configuration
every day to X over to a Solaris 9 server.

I showed my coworker how to enable XDMCP via Fedora menu>system
settings>Login Screen and the XDMCP tab (i.e. I believe the app is the
GNOME Display Manager version 2.5.90.2 via the help system).  I
checked the “Enable XDMCP” box and took all the defaults that were
grayed out before the box was checked.

Back on the MS Windows box I use this command to start an XDMCP to the
FC2 server, “c:\cygwin\bin\bash --login -c "exec /usr/X11R6/bin/XWin
-ac -clipboard -query FC2-server-name  ".  This configuration is used
from a right click start menu, MS Windows shell extension in the
registry i.e.
[HKEY_CLASSES_ROOT\Directory\shell\FC2-server-name\command]...
I see the graphical login prompt and sign in as a non-root user.  The
error at the beginning of this bug pops up once now.  On my initial
XDMCP into the box I recall about five or six of these messages.  I
close the error message and my X session works as normal.  For example
I typed this report into OpenOffice before submitting it.

This error message sounded similar to http://www.fedorafaq.org/#xkb. 
I tried the Option "Xkbrules" "xorg" change to /etc/X11/xorg.conf
file.  The Xkbrules entry did not exist so I added it to the Section
“InputDevice” of the file.  This solution did not appear to work after
a hard reboot.   Note I have since set my configuration back to the
stock xorg config file.

Is there any additional information that you would like from me?

Comment 3 Andrew Scott 2004-06-30 02:16:24 EDT
I'm experiencing the same problem as described in the first comment
(though both the first an second comments are the same bug -- I have
not tried an exported X session).  Logging in as a user or root I
receive this message in a pop-up window:

<console>
Error activating XKB configuration.
Probably internal X server problem.

X server version data:
The X.Org Foundation
60700000

If you report this situation as a bug, please include:
- The result of xprop -root | grep XKB
- The result of gconftool-2 -R /desktop/gnome/peripherals/keyboard/xkb
</console>

Outputs of these commands on my system are:

[root@localhost root]# xprop -root | grep XKB
_XKB_RULES_NAMES_BACKUP(STRING) = "xfree86", "pc105", "us", "", ""
_XKB_RULES_NAMES(STRING) = "xfree86", "pc105", "us", "", ""
[root@localhost root]# gconftool-2 -R
/desktop/gnome/peripherals/keyboard/xkb
 layouts = [us]
 model = pc105
 overrideSettings = false
 options = []
[root@localhost root]#

-Andrew
Comment 4 Andrew Scott 2004-06-30 03:00:54 EDT
Actually, changing the XkbRules option in my X config file did work,
but my X config file is still called "XF86Config".  This system was an
upgrade from Fedora 1 to Fedora 2.  I did an apt-get upgrade, apt-get
dist-upgrade after installing Fedora 2, so this system is a bit more
xorg-like than it is XFree86-like, where as I see on other systems I
have that a fresh install of Fedora 2 gives you a rather completely
xorg-like installation.

Seems like the bug arose in the transition from 1 to 2, or it might
have been during the dist-upgrade.  I currently have xorg-x11-6.7.0-2
 on the system that had this problem, but the XkbRules option switch
to xorg fixed it.
Comment 5 P Jones 2004-07-04 09:35:14 EDT
I have this issue on a fresh install of FC2 with all upgrades as of
07/03, not an upgrade from FC1. Root's GNOME works and looks fine, any
other user's GNOME is broken. I also noticed the black background, no
Bluecurve desktop icons, and no icons in the menu. I tried to change
the theme by going to Preferences -> Theme, and I get an error that
says "The default theme schemas could not be found on your system.
This means that you probably don't have metacity installed, or that
your gconf is configured incorrectly."
Comment 6 P Jones 2004-07-04 09:57:18 EDT
I just did a rpm -Uvh --force libgnome-2.6.0-2.i386.rpm to roll back
to the original FC2 package (libgnome was updated to
libgnome-2.6.0-3.i386.rpm), and now GNOME works fine for any user.
Comment 7 michael ngai 2004-07-16 11:28:14 EDT
Thx P Jones.

By rolling back to libgnome-2.6.0-2.i386.rpm, the problem solved.

But I just wonder, if it is the problem of the package, why the new
package just work for root. I find that the non-root user still fail
to work even though I create them in the root group.
Comment 8 Matthew Miller 2005-04-26 11:28:53 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 9 Ray Strode [halfline] 2005-05-11 17:31:40 EDT
Hi,

This bug is being closed because it has been in the NEEDINFO state for a long
time now.  Feel free to reopen the bug report if the problem still happens for
you and you can provide any information that was requested.

Note You need to log in before you can comment on or make changes to this bug.